List connections for a dedicated server
The connection contains general information about network interfaces of a server. Send a GET request to /v1/hosts/dedicated_servers/{server_id}/connections to list all the connections of a specified server. It's necessary to fill server_id as the path parameter.
Authorization
bearerAuth In: header
Path Parameters
| Field | Details |
|---|---|
server_id | stringA unique identifier of a server. |
Query Parameters
| Field | Details |
|---|---|
per_page? | integerDefault: Range: 1–100 The number of results [ 1 .. 100 ] displayed on a page. By default, 20 results are shown. |
page? | integerDefault: Min: The number of a page (>= 1) that will be returned. By default, it's 1. |
sorting? | stringValue in: Default: This parameter sorts items. By default, it's |
direction? | stringValue in: Default: This parameter defines if items are sorted in an ascending |
Response Body
application/json
application/json
application/json
application/json
curl -X GET "https://example.com/v1/hosts/dedicated_servers/APdRXVaG/connections"[ { "port": "NIC 1", "type": "public", "macaddr": null }, { "port": "NIC 2", "type": "private", "macaddr": null }, { "port": "oob_port", "type": "oob", "macaddr": null }]